chiark / gitweb /
break out sometest-run
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 7 Jul 2019 08:57:10 +0000 (09:57 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 7 Jul 2019 08:57:53 +0000 (09:57 +0100)
sometest-run [new file with mode: 0755]
sometest-to-tested

diff --git a/sometest-run b/sometest-run
new file mode 100755 (executable)
index 0000000..f5c74e4
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+time nice tests/using-intree tests/run-all
index 484be9e..90b16a9 100755 (executable)
@@ -5,6 +5,6 @@ set -e
 set -o pipefail
 
 ${0%/*}/setting-tests-env-vars \
-time nice tests/using-intree tests/run-all
+${STTM_RUN_TEST- ${0%/*}/sometest-run }
 
 git push main HEAD:${STTM_TESTED-tested}